#
# spec file for package enlightenment-theme-openSUSE
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define icon_theme_name openSUSE-e-X

Name:           enlightenment-theme-openSUSE
Version:        20220430.1.26
Release:        1.18
Summary:        openSUSE theme for Enlightenment
License:        BSD-2-Clause AND LGPL-2.1-only AND CC-BY-SA-3.0
Group:          System/GUI/Other
URL:            https://en.opensuse.org/Portal:Enlightenment
Source:         enlightenment-theme-openSUSE-%{version}.tar.xz
BuildRequires:  edje
# for convert
BuildRequires:  ImageMagick
Requires:       elementary
Provides:       enlightenment-theme
Provides:       enlightenment-theme-dft
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Conflicts:      otherproviders(enlightenment-theme-dft)
# At recomendation of DimStar, add obsoletes but not Provides, this way people being
#  auto upgraded by the enlightenment pattern will be upgraded without any issues and
#  people who have manually installed e17 will be able to keep it
Obsoletes:      e-theme-openSUSE
Obsoletes:      e17-theme-openSUSE
Recommends:     openSUSE-e-X-Icons

%description
openSUSE, theme for Enlightenment

%package -n openSUSE-e-X-Icons
Summary:        FDO Icon theme to go with openSUSE Enlightenment Theme
License:        GPL-3.0-only
Group:          System/GUI/Other

%description -n openSUSE-e-X-Icons
An FDO Icon theme that matches the one used by the openSUSE Enlightenment
theme

%prep
%setup -q
#%setup -q -n enlightenment-theme-openSUSE-%{Version}

%build
./build-darkmod.sh --epkg
cp artifacts/bin-e/openSUSE.edj ./default.edj
cp licenses-authors/* .
cp build/icons/openSUSE-icons/README README.icons

%install
install -m 0755 -d %{buildroot}%{_datadir}/elementary/themes
install -m 0644 -t %{buildroot}%{_datadir}/elementary/themes default.edj
install -m 0755 -d %{buildroot}%{_datadir}/icons/%{icon_theme_name}
install -m 0644 -t %{buildroot}%{_datadir}/icons/%{icon_theme_name} build/icons/openSUSE-icons/index.theme

pushd build/icons/openSUSE-icons
for d in */ ; do
    install -m 0755 -d %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$d
    for in in $d/*/ ; do
      install -m 0755 -d %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$in
      for ind in $in/*.png ; do
        if [ -f "$ind" ]; then
          install -m 0644 -t %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$in "$ind"
        fi
      done
      for ind in $in/*.svg ; do
        if [ -f "$ind" ]; then
          install -m 0644 -t %{buildroot}%{_datadir}/icons/%{icon_theme_name}/$in "$ind"
        fi
      done
    done
done
popd

%files
%defattr(-,root,root)
%license AUTHORS COPYING AUTHORS.elementary AUTHORS.enlightenment COPYING.images COPYING.lgpl
%{_datadir}/elementary

%files -n openSUSE-e-X-Icons
%license README.icons
%{_datadir}/icons/%{icon_theme_name}

%changelog
* Sat Apr 30 2022 Simon Lees <sflees@suse.de>
- 20220430.1.26 - Major change to theme based off new Dimensions theme.
* Thu Feb 24 2022 Simon Lees <sflees@suse.de>
- Themes are going to recommend there icon themes as well
* Fri Feb 18 2022 Simon Lees <sflees@suse.de>
- 20220219.1.26 - efl 1.26
  * Temporarily still using Olive Leaf, new theme coming soon.
* Thu May 28 2020 Simon Lees <sflees@suse.de>
- 20200528 - efl 1.24
* Wed Nov  6 2019 Simon Lees <sflees@suse.com>
- 20191110 - efl 1.23
  * Now also ship openSUSE-e-X icon theme to match efl theme
* Fri Apr 27 2018 sflees@suse.de
- Bring back oliveleaf as default with leap 15 branding 20180504
* Wed Nov 29 2017 sflees@suse.de
- Update for e22
* Fri Jul 14 2017 sflees@suse.de
- Create 20170714 mirrors 1.19/1.20 efl
  * fixes boo#1042287 missing text and others.
* Thu Oct 20 2016 sflees@suse.de
- Update to 20161020
  * Fixes incorrect clock color (due to upstream changes)
* Tue Jul  5 2016 sflees@suse.de
- Update for e21 changes 20160705
* Wed Dec 16 2015 simon@simotek.net
- Minor Fix to terminology script shouldn't effect this 20151216
* Sat Dec 12 2015 simon@simotek.net
- Minor fix to make the build file consistent 20151212
* Tue Dec  1 2015 simon@simotek.net
- Finally have a version working on Factory again. 20151201
* Mon Oct 26 2015 simon@simotek.net
- Add some debug for when it fails in staging
* Thu Oct 22 2015 simon@simotek.net
- Fix build script for factory, now using awk which is more robust
* Sun Oct 18 2015 simon@simotek.net
- Updated colors / branding for leap
  Update to 1.15 upstream changes
* Wed Jun 10 2015 simon@simotek.net
- At the recomendation of DimStar Obsolete but don't provide e17 themes
* Sat Oct 11 2014 simon@simotek.net
- Follow upstream in relicencing bsd theme code to lgpl2+,
    Note the build system is still BSD
- Fix incorrect spec file which only mentioned BSD licence
- Fix Init logo
* Fri Sep 12 2014 simon@simotek.net
- New theme for openSUSE 13.2, old theme will soon be in oliveleaf
  package
  Brings in changes for elementary 1.11 as well as some e19 fixes
* Thu Jun 12 2014 simon@simotek.net
- Update theme for elementary 1.10 (Also supports e19)
* Sun Feb 23 2014 simon@simotek.net
- don't require enlightenment, this is bad when the theme is only being used
  by elementary, especially if someone is trying to install e17
* Sat Feb 22 2014 simon@simotek.net
- can't conflict with e17 themes as e17 needs it for terminology etc
* Fri Feb 21 2014 simon@simotek.net
- Fix the mess that was branding
* Tue Feb 18 2014 simon@simotek.net
- conflicts with older e17 themes
* Wed Jan  1 2014 simon@simotek.net
- 20131230
  - Fix LED color in IBox
  - Fixed folder icon to suite the theme better
* Sun Dec 22 2013 simon@simotek.net
- update for e18 and elementary
* Sun Dec 22 2013 simon@simotek.net
- rename to e17-theme-openSUSE
* Sat Dec 14 2013 sleep_walker@suse.cz
- edje is separated now, require only that
* Sun Dec  1 2013 simon@simotek.net
- build from efl 1.8.0
* Fri Nov  1 2013 simon@simotek.net
- Minor fix, buttons in non active top bars are now green
  this makes them visible unlike before
* Thu Oct 17 2013 cfarrell@suse.com
- license update: BSD-2-Clause
  See COPYING
* Wed Oct  2 2013 simon@simotek.net
- Fixed copyright in spec file
* Tue Oct  1 2013 simon@simotek.net
- Fixed text color in init
  version 20131001
* Sat Sep 28 2013 simon@simotek.net
- Fixed init splash background
  version 20130928
